Skip to navigation

Update Company Role

Updates the name and permissions of a custom Company user role. You cannot update predefined roles.

When formatting the request body, you must add all permissions that you wish to keep in the role, including its existing permissions. See Permission Codes for a list of predefined permission name and code values.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

roleIdintegerRequired
The unique identifier for a Company user role.

Request

This endpoint expects an object.
namestringRequired<=200 characters
The name of the Company user role. This name is visible to system users and Company users.
permissionslist of objectsRequired

Response

OK
codeintegerOptional
dataobjectOptional
metaobjectOptional